[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: openldap 2.2.12 LD_LIBRARY_PATH

At 08:36 AM 6/7/2004, Frank Hoffsummer wrote:
>If on Solaris 2.8, I have build openldap 2.2.10 successfully, and then I go and build openldap 2.2.12 with  the exact same environment and parameters, I cannot start slapd (the 2.2.12 slapd that is): 

Likely your old build environment relied on the libtool --static
bug which we fixed in 2.1.11.  

>what can be done to get the 2.2.10 behaviour with regards to LD_LIBRARY_PATH back under 2.2.12? 

You could unfix the libtool bug we fixed.  But I suggest you instead
fix your environment so that it executables built with know where to
find the libraries it needs.  (See Hallvard's comment.)